dab_correct_individual_phase_offset_vff Class Reference

Corrects the individual phase offset of each subcarrier by doing an estimation of the error. More...

`#include <dab_correct_individual_phase_offset_vff.h>`

Inheritance diagram for dab_correct_individual_phase_offset_vff:
[legend]

## Public Member Functions

| ~dab_correct_individual_phase_offset_vff (void)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

dab_correct_individual_phase_offset_vff_sptr | dab_make_correct_individual_phase_offset_vff (unsigned int vlen, float alpha)
| Return a shared_ptr to a new instance of dab_correct_individual_phase_offset_vff.

## Detailed Description

Corrects the individual phase offset of each subcarrier by doing an estimation of the error.

Parameters

  vlen | length of the vector
  alpha | adaptation speed fatcor: corr = (1-alpha)*corr + alpha*new_val)

input: float vector stream with phase vectors of symbols output: float vector stream with corrected phases

Note: This block only makes sense as long as the offset of the majority of the samples is smaller than pi/4

## Constructor & Destructor Documentation

## ~dab_correct_individual_phase_offset_vff()

dab_correct_individual_phase_offset_vff::~dab_correct_individual_phase_offset_vff | ( | void |  | ) |

## Member Function Documentation

## work()

int dab_correct_individual_phase_offset_vff::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## dab_make_correct_individual_phase_offset_vff

dab_correct_individual_phase_offset_vff_sptr dab_make_correct_individual_phase_offset_vff | ( | unsigned int | vlen,
|  | float | alpha )

friend

Return a shared_ptr to a new instance of dab_correct_individual_phase_offset_vff.

To avoid accidental use of raw pointers, dab_correct_individual_phase_offset_vff's constructor is private. dab_make_correct_individual_phase_offset_vff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- dab_correct_individual_phase_offset_vff.h